Subject: Re: [PATCH 1/2] net: add dev_uc_sync_multiple() and dev_mc_sync_multiple() api

From: Vlad Yasevich <[email-masked]>
Date: Mon, 15 Apr 2013 15:37:47 -0400

On 04/15/2013 03:36 PM, David Miller wrote:
> From: Vlad Yasevich <[email-masked]>
> Date: Mon, 15 Apr 2013 15:09:56 -0400
>
>> The current implementation of dev_uc_sync/unsync() assumes that there is
>> a strict 1-to-1 relationship between the source and destination of the case.
>> This is not always the case.  Some virtual devices aggreated a number
>> of lower devices and need to sync the address to all of them.  The current
>> API falls short there.
>>
>> This patch introduces a new dev_uc_sync_multiple() api that can be called
>> in the above circumstances and allows sync to work for every invocation.
>>
>> CC: Jiri Pirko <[email-masked]>
>> Signed-off-by: Vlad Yasevich <[email-masked]>
>
> Did patch #2 get killed by a cosmic ray?  :-)
>
> I didn't see it get posted yet.
>

I got a CC copy.  I'll let float for a few more minutes.  If it doesn't 
arrive, I'll resend it.

-vlad